Upgrade to Kubuntu NattyMise à niveau vers Kubuntu Natty

Coming soon…

Journal de mise à niveau vers Kubuntu Natty (11.04) : la distribution au joli prénom 😉

Asus EEEPC 1005HA

Lancement et déroulement de la mise à niveau

  • le fichier /etc/grub.d/05_debian_theme semble avoir subi des modifications importantes : j’ai accepté la version du développeur du paquet. Je personnaliserai à nouveau les couleurs comme décrit ici plus tard ;
  • à part ça : RAS.

Bugs rencontrés après redémarrage

  • unison : même problème que pour la version précédente (la version de la distribution ne correspond pas à la version du serveur sur lequel je synchronise) donc même solution. Voir aussi : comment bloquer la mise à niveau de ces packages ? Problème supplémentaire : unison-gtk ne semble pas parvenir à se connecter sur le serveur alors que unison (mode ligne de commande) y parvient => fix it!
  • gnuPG : l’agent de gestion de clés de cryptage n’est pas reconnu correctement : les emails et fichiers cryptés ne sont plus décryptés. Par exemple, la commande :
    gpg --decrypt MotsPasse.gpg

    renvoie l’erreur

    problème avec l'agent -Arrêtde l'utilisation de l'agent

    (et idem dans thunderbird). À ce stade sont utilisés sur l’ordinateur : gnupg2, kgpg, gnupg-agent et le plugin enigmail pour thunderbird.

    Solution : Désinstallation de l’agent et utilitaires associés, installation de gnupg à la place de gnupg2 et désactivation de l’utilisation de l’agent dans enigmail :

    sudo apt-get remove --purge gnupg2 gnupg-agent kpgp
    sudo apt-get install gnupg seahorse

    (seahorse est l’utilitaire graphique de gestion des clés de gnome).

    Lancer ensuite thunderbird et dans le menu enigmail (OpenPGP), lancer le menu “Préférences”. Dans l’onglet “Avancé”, décocher “Utiliser gpg-agent pour les phrases secrètes”. Cette opération ne suffit pas à régler le problème, à cause d’un Bug d’Enigmail. Pour résoudre le problème, ouvrir un terminal (Konsole) et taper, à partir de votre répertoire utilisateur,

    cd .thunderbird/XXX.default/extensions/{YYY}/
               components
    nano enigmail.js

    XXX doit être remplacé par le numéro de votre répertoire utilisateur et YYY est une séquence générée aléatoirement de chiffres et de lettres. Dans ce fichier, chercher la ligne

    useAgent= (this.gpgAgentInfo.envStr.length > 0 || this.prefBranch.getBoolPref
              ("useGpgAgent"));

    et la remplacer par :

    useAgent= (this.gpgAgentInfo.envStr.length > 0 && this.prefBranch.getBoolPref
              ("useGpgAgent"));

    (&& à la place de ||). Quitter (Ctrl+X) et sauver (o).

     

     

     

     

     

     

     

  • plugin flash pour firefox : dans Firefox, le plugin flash ne fonctionne pas bien pour un grand nombre de vidéos. Je désactive le plugin (dans Firefox : Outils -> Modules complémentaires) et je quitte firefox ; je supprime “à la main” les fichiers incriminés comme expliqué ici et je désinstalle le package flashplugin-installer. Sur le site d’Adobe, je récupère le paquet .rpm (“for other linux”) car la version adaptée à Natty n’est pas disponible. J’installe par allien (il faut avoir installé préalablement le paquet allien par sudo apt-get install allien :
    sudo alien flash-plugin-10.3.181.14-release.i386.rpm
    sudo dpkg -i flash-plugin_10.3.181.14-1_i386.deb

    La première ligne sert à créer un paquet adapté à ubuntu, la seconde à l’installer. Reste à copier le plugin dans le répertoire utilisateur de Mozilla :

    cp /usr/lib/flash-plugin/libflashplayer.so ~/.mozilla/plugins/.

     

     

     

     

     

     

     

Dell Latitude D830

Lancement et déroulement de la mise à niveau

  • même remarque que pour la mise à niveau de Asus EEEPC 1005 HA concernant le fichier /etc/grub.d/05_debian_theme ;
  • Lors de la mise à jour, plantage complet de la machine (aucune commande ne répond plus, les boutons clignotent…). Le redémarrage s’effectue néanmoins correctement sur le système mais l’interface graphique ne se lance pas. Logguée en mode “lignes de commande”, taper :
    sudo dkpg-reconfigure --a
    sudo apt-get update
    sudo apt-get upgrade

    pour terminer proprement l’installation.

Bugs rencontrés après redémarrage

  • unison : même problème que celui décrit pour la mise à niveau de Asus EEEPC 1005 HA => fix it!
  • plugin flash pour firefox : même problème que celui décrit pour la mise à niveau de Asus EEEPC 1005 HA, même solution ;
  • utilitaire bluetooth de KDE (kbluetooth) : ne fonctionne plus => fix it!

HP Compaq dc5800

Aucune remarque particulière par rapport aux deux précédentes mises à niveau.